Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Static Public Attributes | Protected Member Functions | Private Attributes | Friends | List of all members
OpenVolumeMesh::OpenVolumeMeshBaseProperty Class Referenceabstract
Inheritance diagram for OpenVolumeMesh::OpenVolumeMeshBaseProperty:

## Public Member Functions
| OpenVolumeMeshBaseProperty (const std::string &_name="<unknown>")
| OpenVolumeMeshBaseProperty (const OpenVolumeMeshBaseProperty &_rhs)
virtual void | reserve (size_t _n)=0
| Reserve memory for n elements.
virtual void | resize (size_t _n)=0
| Resize storage to hold n elements.
virtual void | clear ()=0
| Clear all elements and free memory.
virtual void | push_back ()=0
| Extend the number of elements by one.
virtual void | swap (size_t _i0, size_t _i1)=0
| Let two elements swap their storage place.
virtual void | delete_element (size_t _idx)=0
| Erase an element of the vector.
virtual OpenVolumeMeshBaseProperty * | clone () const =0
| Return a deep copy of self.
const std::string & | name () const
| Return the name of the property.
virtual void | serialize (std::ostream &) const
virtual void | deserialize (std::istream &)
void | set_persistent (bool _persistent)
bool | persistent () const
virtual size_t | n_elements () const =0
| Number of elements in property.
virtual size_t | element_size () const =0
| Size of one element in bytes or UnknownSize if not known.
virtual size_t | size_of () const
| Return size of property in bytes.
virtual size_t | size_of (size_t _n_elem) const
const OpenVolumeMeshHandle & | handle () const
void | set_handle (const OpenVolumeMeshHandle &_handle)

## Static Public Attributes
static const size_t | UnknownSize = std::numeric_limits<size_t>::max()
| Indicates an error when a size is returned by a member.

## Protected Member Functions
virtual void | delete_multiple_entries (const std::vector< bool > &)=0
| Delete multiple entries in list.

## Private Attributes
std::string | name_
bool | persistent_
OpenVolumeMeshHandle | handle_

## Friends
class | ResourceManager
template<class PropT , class HandleT >
class | PropertyPtr

## Detailed Description

Definition at line 63 of file OpenVolumeMeshBaseProperty.hh.

## Member Function Documentation

virtual size_t OpenVolumeMesh::OpenVolumeMeshBaseProperty::size_of | ( | size_t | _n_elem | ) | const
| inline virtual

Estimated size of property if it has _n_elem elements. The member returns UnknownSize if the size cannot be estimated.

Reimplemented in OpenVolumeMesh::OpenVolumeMeshPropertyT< std::string >, OpenVolumeMesh::OpenVolumeMeshPropertyT< bool >, and OpenVolumeMesh::OpenVolumeMeshPropertyT< T >.

Definition at line 136 of file OpenVolumeMeshBaseProperty.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/OpenVolumeMeshBaseProperty.hh
- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/OpenVolumeMeshBaseProperty.cc